## zowe › zos-files › download › data-set

Download content from a z/OS data set to a local file.

#### Usage

zowe zos-files download data-set <dataSetName> [options]

#### Positional Arguments

- `dataSetName` (string)

  - The name of the data set that you want to download

#### Options

- `--binary` | `-b` (boolean)

  - Download the file content in binary mode, which means that no data conversion is performed. The data transfer process returns each line as-is, without translation. No delimiters are added between records.

- `--encoding` | `--ec` (string)

  - Download the file content with encoding mode, which means that data conversion is performed using the file encoding specified.

- `--extension` | `-e` (string)

  - Save the local files with a specified file extension. For example, .txt. Or "" for no extension. When no extension is specified, .txt is used as the default file extension.

- `--file` | `-f` (string)

  - The path to the local file where you want to download the content. When you omit the option, the command generates a file name automatically for you.

- `--overwrite` | `--ow` (boolean)

  - Overwrite files that already exist in your local environment.

- `--preserve-original-letter-case` | `--po` (boolean)

  - Specifies if the automatically generated directories and files use the original letter case.

    Default value: false

- `--record` | `-r` (boolean)

  - Download the file content in record mode, which means that no data conversion is performed and the record length is prepended to the data. The data transfer process returns each line as-is, without translation. No delimiters are added between records. Conflicts with binary.

- `--volume-serial` | `--vs` (string)

  - The volume serial (VOLSER) where the data set resides. You can use this option at any time. However, the VOLSER is required only when the data set is not cataloged on the system. A VOLSER is analogous to a drive name on a PC.

- `--response-timeout` | `--rto` (number)

  - The maximum amount of time in seconds the z/OSMF Files TSO servlet should run before returning a response. Any request exceeding this amount of time will be terminated and return an error. Allowed values: 5 - 600

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

- `--completion-timeout` | `--cto` (number)

  - The amount in time, in seconds, a REST operation should wait to complete before timing out

- `--establish-connection-timeout` | `--ecto` (number)

  - The amount of time, in seconds, a REST operation should wait while connecting to the server before timing out

#### Profile Options

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

#### Examples

- Download the data set "ibmuser.loadlib(main)" in binary mode to the local file "main.obj":

  - `zowe zos-files download data-set "ibmuser.loadlib(main)" --binary --file main.obj`